summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorS├ębastien Bariteau2015-06-29 09:14:52 -0400
committerS├ębastien Bariteau2015-06-29 09:14:52 -0400
commit260e756883aee517397237105041281a67dc0f8c (patch)
tree4df695d00d9b8215d7fb604422bce491dbe74882
downloadaur-260e756883aee517397237105041281a67dc0f8c.tar.gz
Initial import
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD32
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..35d8efd6d3a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = perl-geoip
+ pkgdesc = GeoIP Perl API
+ pkgver = 1.45
+ pkgrel = 1
+ url = https://github.com/maxmind/geoip-api-perl
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = geoip
+ provides = Geo::IP
+ source = https://github.com/maxmind/geoip-api-perl/archive/v1.45.zip
+ md5sums = 4f989545128f8e0e2717c23375a9027c
+
+pkgname = perl-geoip
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3921b45389b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Sebastien Bariteau <numkem@gmail.com>
+pkgname=perl-geoip
+pkgver=1.45
+pkgrel=1
+pkgdesc="GeoIP Perl API"
+arch=('i686' 'x86_64')
+license=(GPL)
+url="https://github.com/maxmind/geoip-api-perl"
+source="https://github.com/maxmind/geoip-api-perl/archive/v${pkgver}.zip"
+md5sums=('4f989545128f8e0e2717c23375a9027c')
+depends=('geoip')
+provides=('Geo::IP')
+
+
+build() {
+ cd "$srcdir/geoip-api-perl-${pkgver}"
+
+ # install module in vendor directories.
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+
+package() {
+ cd "$srcdir/geoip-api-perl-${pkgver}"
+
+ make install DESTDIR=${pkgdir} || return 1
+
+ # remove perllocal.pod and .packlist
+ find $pkgdir -name perllocal.pod -delete
+ find $pkgdir -name .packlist -delete
+}